<?php namespace Romanah\Gokbakja\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateRomanahGokbakjaShippingTransport extends Migration
{
    public function up()
    {
        Schema::create('romanah_gokbakja_shipping_transport', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
            $table->string('transport_type')->default('truck');
            $table->string('place_now');
            $table->double('loaded_amount', 10, 0)->default(0);
            $table->text('note')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('romanah_gokbakja_shipping_transport');
    }
}
